Browse the help center

Create placement IP range targeting

Creates an IP range targeting rule for the specified placement.

Reference
POST https://YOUR-NETWORK-DOMAIN/rest-api/placement/{placementId}/targeting/ip-range/create.do

Creates an IP range targeting rule for the specified placement. Both IPv4 and IPv6 addresses are supported. The ipFrom value must be numerically less than or equal to ipTo. Requires UPDATE permission on the placement and MANAGE_SUPPLY_PRE_TARGETING user permission.

Path Params

placementId integer required

Unique numeric ID of the placement

4001

Form Params

rule string required

Targeting rule type — INCLUDE for whitelist or EXCLUDE for blacklist

INCLUDE

ipFrom string required

Start of the IP range in dotted-decimal (IPv4) or colon-hex (IPv6) notation

192.168.1.0

ipTo string required

End of the IP range in dotted-decimal (IPv4) or colon-hex (IPv6) notation

192.168.1.255

Responses

200

Success

400

Invalid IP range or ipFrom exceeds ipTo

401

Unauthorized

403

Forbidden

404

Placement not found

500

Internal server error

Please disable Adblock
Are you using adblock? Disable it and reload the page to proceed to the destination page.

A registration has already been submitted from this page. Please try again in 10 minutes.